<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'sit',

    /*
     * Package.
     */
    'package'   => 'destinations',

    /*
     * Modules.
     */
    'modules'   => ['destination', 
'destination_category'],

    'destination'       => [
        'model' => [
            'model'                 => \Sit\Destinations\Models\Destination::class,
            'table'                 => 'destinations',
            'presenter'             => \Sit\Destinations\Repositories\Presenter\DestinationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['2019',  'id',  'title',  'details',  'category_id',  'image',  'images',  'slug',  'subtitle',  'url',  'published',  'status',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at',  '10)'],
            'translatables'         => [],
            'upload_folder'         => 'destinations/destination',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Sit',
            'package'   => 'Destinations',
            'module'    => 'Destination',
        ],

    ],

    'destination_category'       => [
        'model' => [
            'model'                 => \Sit\Destinations\Models\DestinationCategory::class,
            'table'                 => 'destination_categories',
            'presenter'             => \Sit\Destinations\Repositories\Presenter\DestinationCategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['2019',  'id',  'name',  'slug',  'status',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at',  '10)'],
            'translatables'         => [],
            'upload_folder'         => 'destinations/destination_category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Sit',
            'package'   => 'Destinations',
            'module'    => 'DestinationCategory',
        ],

    ],
];
