<?php

namespace Sit\Destinations\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DestinationCategoryTransformer extends TransformerAbstract
{
    public function transform(\Sit\Destinations\Models\DestinationCategory $destination_category)
    {
        return [
            'id'                => $destination_category->getRouteKey(),
            'key'               => [
                'public'    => $destination_category->getPublicKey(),
                'route'     => $destination_category->getRouteKey(),
            ], 
            '2019'              => $destination_category->2019,
            'id'                => $destination_category->id,
            'name'              => $destination_category->name,
            'slug'              => $destination_category->slug,
            'status'            => $destination_category->status,
            'user_id'           => $destination_category->user_id,
            'user_type'         => $destination_category->user_type,
            'upload_folder'     => $destination_category->upload_folder,
            'deleted_at'        => $destination_category->deleted_at,
            'created_at'        => $destination_category->created_at,
            'updated_at'        => $destination_category->updated_at,
            '10)'               => $destination_category->10),
            'url'               => [
                'public'    => trans_url('destinations/'.$destination_category->getPublicKey()),
                'user'      => guard_url('destinations/destination_category/'.$destination_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$destination_category->status),
            'created_at'        => format_date($destination_category->created_at),
            'updated_at'        => format_date($destination_category->updated_at),
        ];
    }
}